npm run serve command does not work

UI Components for Vue
Post Reply
effedam
Posts: 3
Joined: 13 Sep 2022, 16:33

13 Sep 2022, 17:00

I'm try to use Babylon Template for PrimeVue, the command

Code: Select all

nmp run serve

does not work, below the error chain
> webclient@3.3.0 serve
> vue-cli-service serve

INFO Starting development server...
ERROR Error: Cannot find module 'vue/compiler-sfc'
Require stack:
- /home/effedam/Dropbox/azd/dev/js/webclient/node_modules/vue-loader/dist/index.js
- /home/effedam/Dropbox/azd/dev/js/webclient/node_modules/@vue/cli-service/lib/config/base.js
- /home/effedam/Dropbox/azd/dev/js/webclient/node_modules/@vue/cli-service/lib/Service.js
- /home/effedam/Dropbox/azd/dev/js/webclient/node_modules/@vue/cli-service/bin/vue-cli-service.js
Error: Cannot find module 'vue/compiler-sfc'
Require stack:
- /home/effedam/Dropbox/azd/dev/js/webclient/node_modules/vue-loader/dist/index.js
- /home/effedam/Dropbox/azd/dev/js/webclient/node_modules/@vue/cli-service/lib/config/base.js
- /home/effedam/Dropbox/azd/dev/js/webclient/node_modules/@vue/cli-service/lib/Service.js
- /home/effedam/Dropbox/azd/dev/js/webclient/node_modules/@vue/cli-service/bin/vue-cli-service.js

bahadirsofuoglu
Posts: 4
Joined: 06 Sep 2022, 08:59

16 Sep 2022, 11:21

Hi,
Could you try npm i --legacy-peer-deps? I think this solves the issue. Then you can change versions if you want.

Post Reply

Return to “PrimeVue”

  • Information
  • Who is online

    Users browsing this forum: No registered users and 1 guest